/*--------------------------------------------

  ddtools.h

  Headerfile of ddtools.cpp

----------------------------------------------*/


#ifndef _DDTOOLS_H_
#define _DDTOOLS_H_

//
// Possible return values from InitDDSurface().
//
#define IDDS_RESTORED		0
#define IDDS_CREATED		1
#define IDDS_NOTLOST		2

// Define the number of back buffers to be used.
#define BACKBUFFERCOUNT		1


//
// Function prototypes.
//
int CreateFlipper( HWND hWnd, LPDIRECTDRAW7* lplpDD7, const SSettingsInfo* lpsi );
int CreateDDSurface( LPDIRECTDRAWSURFACE7* lplpDDS, LPSIZE lpSize, bool gSysMem );
int GetPictureSize( char* szName, LPSIZE lpSize );
int LoadPicture( LPDIRECTDRAWSURFACE7 lpDDS, char* szName );
int InitDDSurface( LPDIRECTDRAWSURFACE7* lplpDDS, char* szName, bool gSysMem );
int ShowFrameRate( void );


//
// Externals
//
extern LPDIRECTDRAW7					lpDD7;
extern LPDIRECTDRAWSURFACE7				Primary;
extern LPDIRECTDRAWSURFACE7				Back;

#endif // _DDTOOLS_H_

