/*--------------------------------------------

  query.h

  Headerfile of query.cpp

----------------------------------------------*/

 
#ifndef _QUERY_H_
#define _QUERY_H_

//
// Typedefs
//

// Used to query the display settings from the user.
typedef struct SSettingsInfo { 
	LPGUID		lpGuid;
	GUID		guid;
	BYTE		bDepth;
}	SETTINGSINFO, *LPSETTINGSINFO;


// Used internally by the 'query.cpp' module to check for supported modes.
typedef struct SModes {
	bool	g16Bit;
	bool	g24Bit;
	bool	g32Bit;
} MODES, *LPMODES;


//
// Function prototypes
//
int QuerySettings( HWND hWnd, LPSETTINGSINFO lpsi );
BOOL CALLBACK QueryProc( HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam );
BOOL WINAPI EnumDevsEx( LPGUID lpGuid, LPSTR szDesc, LPSTR szName, LPVOID lpContext, HMONITOR hm );
BOOL WINAPI EnumDevs( LPGUID lpGuid, LPSTR szDesc, LPSTR szName, LPVOID lpContext );
int SetRadioButtons( HWND hWndDlg, LPSETTINGSINFO lpsi );
HRESULT WINAPI EnumModes( LPDDSURFACEDESC2 lpddsd, LPVOID lpContext );
LRESULT CALLBACK StartProc( HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam );
LRESULT CALLBACK StopProc( HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam );

#endif // _QUERY_H_
